A WordPress-centric search engine for devs and theme authors



themes_api ›

Since2.8.0
Deprecatedn/a
apply_filters( 'themes_api', false, $action, $args )
Parameters: (3)
  • (false|object|array) $override Whether to override the WordPress.org Themes API. Default false.
    Required: Yes
  • (string) $action Requested action. Likely values are 'theme_information', 'feature_list', or 'query_themes'.
    Required: Yes
  • (object) $args Arguments used to query for installer pages from the Themes API.
    Required: Yes
Defined at:
Codex:

Filters whether to override the WordPress.org Themes API.

Passing a non-false value will effectively short-circuit the WordPress.org API request.

If $action is 'query_themes', 'theme_information', or 'feature_list', an object MUST be passed. If $action is 'hot_tags', an array should be passed.





Source

$res = apply_filters( 'themes_api', false, $action, $args );